# vim: set ft=spec: -*- rpm-spec -*-

Name: wimax-network-service
Version: 1.5.1
Release: alt2

Summary: WiMAX Network Service
Group: System/Kernel and hardware
License: BSD
Url: http://linuxwimax.org/

BuildRequires: kernel-headers-un-def wimax-tools-devel libeap-devel zlib-devel

Source: %name-%version.tar
Patch: %name-%version-%release.patch

# dlopen()'s libeap.so.0
%ifarch x86_64
Requires: libeap.so.0()(64bit)
%else
Requires: libeap.so.0
%endif

%description
WiMAX Network Service for Intel Wireless WiMAX Connection 2400 based
devices.

%package -n libiWmxSdk
Summary: Intel WiMAX SDK runtime libraries
Group: System/Kernel and hardware
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%description -n libiWmxSdk
Intel WiMAX SDK runtime libraries.

%package -n libiWmxSdk-devel
Summary: Intel WiMAX SDK
Group: Development/Kernel
Requires: libiWmxSdk = %version-%release

%description -n libiWmxSdk-devel
Intel WiMAX SDK.

%prep
%setup
%patch -p1

%build
%autoreconf
%configure \
	--localstatedir=%_var \
	--enable-instrument
%make_build

%install
%makeinstall_std
mv %buildroot%_logrotatedir/wimax.conf %buildroot%_logrotatedir/wimax

%files
%doc CHANGELOG README.txt
%config(noreplace) %_logrotatedir/wimax
%config %_sysconfdir/udev/rules.d/iwmxsdk.rules
%config(noreplace) %_sysconfdir/modprobe.d/i2400m.conf
%dir %_sysconfdir/wimax
%config(noreplace) %_sysconfdir/wimax/config.xml
%_bindir/*
%_datadir/wimax
%_man1dir/*.1*
%dir %_localstatedir/wimax
%config %_localstatedir/wimax/*.bin
%dir %_logdir/wimax

%files -n libiWmxSdk
%_libdir/lib*.so.*

%files -n libiWmxSdk-devel
%dir %_includedir/wimax
%_includedir/wimax/*
%_libdir/lib*.so
%_pkgconfigdir/*.pc

%changelog
* Tue Dec 21 2010 Alexey I. Froloff <raorn@altlinux.org> 1.5.1-alt2
- [1.5.1-12-g616a37c]

* Mon Oct 25 2010 Alexey I. Froloff <raorn@altlinux.org> 1.5.1-alt1
- [1.5.1]

* Mon Sep 27 2010 Alexey I. Froloff <raorn@altlinux.org> 1.5-alt1
- [1.5]
